aboutsummaryrefslogtreecommitdiffhomepage
path: root/src/test/shell
diff options
context:
space:
mode:
authorGravatar Klaus Aehlig <aehlig@google.com>2016-03-30 16:35:52 +0000
committerGravatar Klaus Aehlig <aehlig@google.com>2016-03-31 07:08:57 +0000
commitaeecabdd0526d39a915917b45a7a796daba0b6a0 (patch)
tree0698027ec1f1eb977ea401690bd9be467333acde /src/test/shell
parent3f29d42284386e3c3cadf3e48251c1ad7bb90f66 (diff)
Signal that the help command does not build
In this way, we prevent the experimental UI from reporting about the number of actions (actually 0) currently running. -- Change-Id: Ic1c02d388f1928b8fe8d2d66dc14757b0213c43b Reviewed-on: https://bazel-review.googlesource.com/#/c/3180 MOS_MIGRATED_REVID=118580580
Diffstat (limited to 'src/test/shell')
-rwxr-xr-xsrc/test/shell/integration/experimental_ui_test.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/src/test/shell/integration/experimental_ui_test.sh b/src/test/shell/integration/experimental_ui_test.sh
index fbfd5b24bd..5d9bb6a293 100755
--- a/src/test/shell/integration/experimental_ui_test.sh
+++ b/src/test/shell/integration/experimental_ui_test.sh
@@ -107,4 +107,19 @@ function test_clean_color_nobuild {
expect_not_log "Building"
}
+function test_help_nobuild {
+ bazel help --experimental_ui 2>$TEST_log \
+ || fail "bazel help failed"
+ expect_not_log "actions running"
+ expect_not_log "Building"
+}
+
+function test_help_color_nobuild {
+ bazel help --experimental_ui --color=yes 2>$TEST_log \
+ || fail "bazel help failed"
+ expect_not_log "actions running"
+ expect_not_log "Building"
+}
+
+
run_suite "Integration tests for bazel's experimental UI"